                                                                                                                                                                                                                               
﻿/**
* jCarousel - Riding carousels with jQuery
*   http://sorgalla.com/jcarousel/
*
* Copyright (c) 2006 Jan Sorgalla (http://sorgalla.com)
* Dual licensed under the MIT (MIT-LICENSE.txt)
* and GPL (GPL-LICENSE.txt) licenses.
*
* Built on top of the jQuery library
*   http://jquery.com
*
* Inspired by the "Carousel Component" by Bill Scott
*   http://billwscott.com/carousel/
*/
$(function() {
    $('.topmenuparent > li').hover(function(e) {
        $(this).find('ul').hide();
		$(this).find('ul:first').hoverFlow(e.type, { height: 'toggle' }, 'fast');
        $(this).addClass('selected');
    }, function(e) {
        $(this).find('ul:first').hoverFlow(e.type, { height: 'toggle' }, 'fast');
        $(this).removeClass('selected');
    });

    $('.topmenuchild > li').hover(function(e) {
        $(this).find('ul').hide();
		$(this).find('ul:first').hoverFlow(e.type, { width: 'toggle' }, 'fast');
        $(this).addClass('current');
    }, function(e) {
        $(this).find('ul:first').hoverFlow(e.type, { width: 'toggle' }, 'fast');
        $(this).removeClass('current');
    });
});